﻿; appdesktopshortcut main file
; by felix caffier
; www.trisymphony.com
; 2015-03-03

IncludeFile "../applib.pb"

; init applib
initApplib()
setAppPathAndMode(APPLIB_PARAMS(0))
readAppXML()

PrintN("Creating Desktop shortcut for " + APPLIB_XMLNAME + ":" + #LF$)

; TEMPLATE
; [Desktop Entry]
; Type=Application
; Version=1.0
; Name=xml_name
; Comment=xml_description
; Exec=appopen + cleanpath
; Icon=cleanpath + /icon.png
; Terminal=false
; Categories=xml_category

shortcuttext.s = "[Desktop Entry]" + #LF$
shortcuttext + "Type=Application" + #LF$
shortcuttext + "Version=1.0" + #LF$
shortcuttext + "Name=" + APPLIB_XMLNAME + #LF$
shortcuttext + "Comment=" + APPLIB_XMLDESCRIPTION + #LF$
shortcuttext + "Exec=appopen " + #DQUOTE$ + APPLIB_CLEANPATH  + #DQUOTE$ + " %F" + #LF$
shortcuttext + "Icon=" + APPLIB_CLEANPATH + "/icon.png" + #LF$
shortcuttext + "Terminal=false" + #LF$
shortcuttext + "Categories=" + APPLIB_XMLCATEGORY + #LF$
PrintN(shortcuttext)

sname.s = "/home/" + UserName() + "/Desktop/" + GetFilePart(APPLIB_CLEANPATH) + ".desktop"
PrintN("Saving: " + sname )

If CreateFile(0, sname)
  WriteString(0, shortcuttext, #PB_UTF8)
  CloseFile(0)
  PrintN("Shortcut created.")
  End 0
Else
  PrintN("Error: could not save desktop shortcut.")
  End 1
EndIf

End

; IDE Options = PureBasic 5.24 LTS (Linux - x64)
; ExecutableFormat = Console
; CursorPosition = 50
; FirstLine = 3
; EnableUnicode
; EnableXP
; Executable = ../BUILD-x86_64/appdesktopshortcut